Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.5 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

Installation de Running Database Instances [closed]

Bonjour,

Je ne parviens pas a installer le plugin : Running Database Instances j'ai le message d'erreur ci-dessous qui s'affiche :

Je télécharge le plugin via la page suivante : https://plugins.ocsinventory-ng.org

closed with the note: improved plugin
asked in External plugins by (520 points)
closed by

19 Answers

+1 vote
 
Best answer

Bonjour @tval,

le contenu de votre .zip est correct.

J'avais testé mes corrections sur un serveur OCS v. 2.5, peut-être avez-vous un v. 2.4 ou antérieur car la v. 2.5 a été améliorée pour l'installation des plugins.

Je viens d'installer le plugin avec succès sur un serveur en v. 2.4 et ça fonctionne (toutefois en renommant votre zip en databaseinstances.zip)

ça doit être bon cette fois-ci :-)

answered by (25k points)
selected by
0 votes
Bonjour,

vos images ne s'affichent pas sur mes navigateurs. De ce fait, difficile de comprendre votre problème…

Cordialement, Stéphane
answered by (25k points)
0 votes

J'ai le message suivant :

ERREUR: runningDatabaseInstances est un plugin non valide, vérifiez vos sources.
Installation annulée !

answered by (520 points)
0 votes

Bonjour @tval,

effectivement, il manque des fichiers dans le ZIP du lien :

https://github.com/PluginsOCSInventory-NG/runningDatabaseInstances/releases/download/runningdatabaseinstance-1.0/runningDatabaseInstances.zip

Les fichiers étant bien présents sur

https://github.com/PluginsOCSInventory-NG/runningDatabaseInstances

servez-vous de cette arborescence pour créer votre ZIP d'installation

Cordialement, Stéphane

answered by (25k points)
0 votes

Bonjour @steph78630,

Tout d'abord merci pour votre aide.

Si j'ai bien compris je dois télécharger la dernière release (1.2) ici :

https://github.com/PluginsOCSInventory-NG/runningDatabaseInstances/archive/runningdatabaseinstance-1.2.zip

Puis placé le contenu du dossier "runningDatabaseInstances-runningdatabaseinstance-1.2"  qui est contenu dans l'archive télécharger ci-dessus à la racine d'une nouvelle archive nommé "runningdatabaseinstance.zip" ?

answered by (520 points)
0 votes

En attendant mieux, prenez plutôt :

https://github.com/PluginsOCSInventory-NG/runningDatabaseInstances/archive/master.zip

et supprimez le dossier "runningDatabaseInstances-master" du zip (mais pas son contenu)

A l'ouverture du ZIP d'installation final, vous devez retrouver directement :

 - Les dossiers agent, APACHE et cd_runningDataInstances (et les fichiers dans leurs sous-dossiers respectifs),

 - Les fichiers infos.json, install.php, LICENCE, preview.png et README.md

> Je viens de remonter ce désagrément à l'équipe.

answered by (25k points)
0 votes

Je viens de tester mon problème persiste :/

Voici l'archive créé en suivant vos directives : https://mega.nz/#!A19VkQSY!ejsZ19l-qjMtI_yxuvFjpK9-z_gTuWpozvMkFUtkJDQ

answered by (520 points)
0 votes
J'ai vérifié le contenu de votre fichier et il semble bon (il manque le dossier agent / fichier *.vbs mais il n'est pas bloquant pour l'installation du plugin sur le serveur…)

Toujours le même message d'erreur "plugin non valide" ?
answered by (25k points)
0 votes

Oui toujours le même message :/

Je peux vous fournir des logs si besoin.

ERREUR: runningDatabaseInstances est un plugin non valide, vérifiez vos sources.

Installation annulée !

answered by (520 points)
0 votes
L'installation du plugin sur mon serveur provoque la même erreur.

> Je vous tiens au courant
answered by (25k points)
 
Powered by Question2Answer
...